This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 903928 - RHEL7 storage migration related commands should much closer RHEL not upstream
RHEL7 storage migration related commands should much closer RHEL not upstream
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks: 895240
  Show dependency treegraph
 
Reported: 2013-01-24 23:47 EST by juzhang
Modified: 2013-01-29 11:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 08:50:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juzhang 2013-01-24 23:47:38 EST
Description of problem:
KVM QE compared the list of cmd line and devices difference between rhel6.4 and rhel7.0. Found lot of storage migration related commands are different. From KVM QE POV,  RHEL7 storage migration related commands  should much closer RHEL not upstream.

Version-Release number of selected component (if applicable):
Host Kernel
#uname -r
3.7.0-0.30.el7.x86_64
qemu-kvm version
qemu-kvm-1.3.0-3.el7.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Storage vmotion related commands
RHEL6.4
block-stream(copy data from a backing file into a block device)
block-job-cancel(stop an active block streaming operation)
block-job-set-speed
blockdev-snapshot-sync
__com.redhat_drive-mirror
__com.redhat_drive-reopen
 __com.redhat_block-commit

RHEL7.0
block_stream(copy data from a backing file into a block device)
block_job_cancel(stop an active block streaming operation)
block_job_set_speed
no blockdev-snapshot-sync command on rhel7.0
no __com.redhat_drive-mirror  on rhel7.0
no __com.redhat_drive-reopen on rhel7.0
no __com.redhat_block-commit on rhel7.0
Added three commands on rhel7.0, do we support? How to use?
     block_job_pause
     block_job_resume 
     block_job_complete

Expected results:
 RHEL7 storage migration related commands  should much closer RHEL not upstream

Additional info:
Comment 1 Paolo Bonzini 2013-01-29 08:50:43 EST
The commands that were introduced in RHEL are a little different from the ones upstream, but we are not going to forward-port the RHEL6 changes.  There are improvements in the upstream versions and those are the versions that libvirt uses, too.

The new commands in RHEL7 are:

- snapshot_blkdev, drive_mirror, block_commit for HMP
- blockdev-snapshot-sync, drive-mirror, block-commit for QMP
- block_job_complete (HMP) and block-job-complete (QMP) replace __com.redhat_drive-reopen

Note You need to log in before you can comment on or make changes to this bug.